%define python3_pkgversion 3.11

# Created by pyp2rpm-3.3.10
%global pypi_name pyOpenSSL
%global srcname pyopenssl
%global pypi_version 24.3.0
%bcond_with tests # disables tests
%bcond_with docs # disables docs generation

Name:           python-%{srcname}
Version:        %{pypi_version}
Release:        1.0.1%{?dist}
Summary:        Python wrapper module around the OpenSSL library

License:        Apache License, Version 2.0
URL:            https://pyopenssl.org/
Source0:        %{srcname}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-cryptography >= 41.0.5
BuildRequires:  python%{python3_pkgversion}-cryptography < 45

%if %{with docs}
BuildRequires:  python%{python3_pkgversion}-sphinx
BuildRequires:  python%{python3_pkgversion}-sphinx-rtd-theme
%endif

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pretend
BuildRequires:  python%{python3_pkgversion}-pytest >= 3.0.1
BuildRequires:  python%{python3_pkgversion}-pytest-rerunfailures
%endif

%description
 pyOpenSSL -- A Python wrapper around the OpenSSL library **Note:** The Python
Cryptographic Authority **strongly suggests** the use of pyca/cryptography_
where possible. If you are using pyOpenSSL for anything other than making a TLS
connection

%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:   python%{python3_pkgversion}-cryptography >= 41.0.5
Requires:   python%{python3_pkgversion}-cryptography < 45
%description -n python%{python3_pkgversion}-%{srcname}
 pyOpenSSL -- A Python wrapper around the OpenSSL library **Note:** The Python
Cryptographic Authority **strongly suggests** the use of pyca/cryptography_
where possible. If you are using pyOpenSSL for anything other than making a TLS
connection

%if %{with docs}
%package -n python-%{srcname}-doc
Summary:        pyopenssl documentation
%description -n python-%{srcname}-doc
Documentation for pyopenssl
%endif


%prep
%autosetup -n %{srcname}-%{pypi_version}


%build
%py3_build

%if %{with docs}
# Disabled generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif


%install
%py3_install


%if %{with tests}
%check
%{pytest}
%endif


%files -n python3.11-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/OpenSSL
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%if %{with docs}
%files -n python-%{srcname}-doc
%doc html
%license LICENSE
%endif

%changelog
* Wed Feb 05 2025 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 24.3.0-1.0.1
- Import pyOpenSSL 24.3.0

* Tue Jan 31 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 19.1.0-3.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 19.1.0-3
- Build against python 3.9

* Wed Sep 08 2021 Evgeni Golov - 19.1.0-2
- Build against Python 3.8

* Thu Apr 30 2020 Evgeni Golov - 19.1.0-1
- Initial package.
